### Constructor

# ICalGLib Duration new_bad_duration

since: 1.0

#### Declaration [src]

    ICalDuration*
    i_cal_duration_new_bad_duration (
      void
    )

#### Description [src]

Creates a bad `ICalDuration`.

Available since: 1.0

#### Return value

Type: `ICalDuration`

The newly created `ICalDuration`.

The caller of the function takes ownership of the data, and is responsible for freeing it.